import collective
import actor
import xmlanimloader
import xmlscript
import datapath

#expose this as editable paramerters
self.owner.nMembers = 3
self.owner.total = 5
self.owner.timeSinceLastAttack = 0
self.owner.timeBetweenAttacks = 80
self.owner.lastAttacker = 0

spawnLocations = [300+300j,450+300j,300+500j]

canvas = params.dict["canvas"]
dispatchers = params.dict["dispatchers"]
collisionDispatcher = params.dict["collisionResponce"]

for i in range(self.owner.nMembers):
    thug = actor.Actor(name="thug."+str(i), script=None)
    xmlanimloader.loadAnimlistFromXML(datapath.fullname("anims\\anims.thug.xml"), thug, canvas)
    thug.animPlayer.anims["workout"].images[0][0] += 3*i #"randomize" workout animation
    thug.sendCommand("setposition",paramsDict={"newPos":spawnLocations[i]})
    thug.setScript(xmlscript.scriptFromFile(datapath.fullname("scripts\\thugmotor.xml")))
    thug.sendCommand("init")
    self.owner.addMember(thug)
    for d in dispatchers:
        d.addMember(thug)
    collisionDispatcher.addMember(thug.movement)

self.owner.setState("running")

#print "thugs INIT received!!!"



