import Image
import datapath

#load collision map
self.owner.collisinMap = Image.open(datapath.fullname("maps\\map01collision.tif"))

#list of obstacles is list of axis-aligned rectangles
#defined with a pair of complex numbers:
self.owner.obstacles = [[262+99j,789+129j], [686+130j, 720+295j],
                   [686+400j,720+700j],[137+255j, 168+700j]]
                   
#to compensate for that actors finite size, inflate collision by actors' size:
actorSize = 25+25j
#and apply shift (character sprite is drawn with its corner at its 0,0)
shift = 20 + 10j 
for obst in self.owner.obstacles:
    obst[0] -= actorSize
    obst[0] -= shift
    obst[1] += actorSize - shift
    obst[1] -= shift

#later this list will be initialized automatically from the bitmal

#turn on updates of the collision dispatcher
self.owner.setState("update")

