import collective
import actor
import xmlanimloader
import xmlscript
import datapath

g = self.owner
g.nMembers = 4

spawnLocations = [50+790j,1100+30j,1200+50j,30+810j]
animFiles = [
    "anims\\anims.businessman.xml",
    "anims\\anims.womanwdog.xml",
    "anims\\anims.dude.xml",
    "anims\\anims.girl.xml"]
pedNames = ["Businessman","Woman&Dog","Dude","Girl"]
speedValues = [2,1,2,1]
path1 = [50+790j, 40+340j, 70+70j, 500+50j, 1100+60j] #businessman
path2 = [1100+30j, 500+50j, 60+60j, 40+340j, 40+790j] #senior Woman
path3 = [1200+50j, 400+50j, 60+70j, 50+340j, 60+790j] #dude
path4 = [30+810j, 50+340j, 80+20j, 510+10j, 1100+10j] #girl
g.paths = [path1,path2,path3,path4]

businessmanStops = [] 
dudeStops = [[(40+40j,400+400j),0.5]] #rectangle aand probability to stop, third value - how many time sto play anim
womanStops =  []
girlStops = []

windowStops = [businessmanStops,womanStops,dudeStops,girlStops]

canvas = params.dict["canvas"]
dispatchers = params.dict["dispatchers"]
collisionDispatcher = params.dict["collisionResponce"]

for i in range(self.owner.nMembers):
    ped = actor.Actor(name=pedNames[i], script=None)
    xmlanimloader.loadAnimlistFromXML(datapath.fullname(animFiles[i]), ped, canvas)
    ped.movement.sendCommand("setspeed",paramsDict={"speed":speedValues[i]})        
    ped.sendCommand("setposition",paramsDict={"newPos":spawnLocations[i]})
    #ped.setScript(xmlscript.scriptFromFile(datapath.fullname("scripts\\walkpath.xml")))
    ped.setScript(xmlscript.scriptFromFile(datapath.fullname("scripts\\windowshopping.xml")))
    ped.windowStops = windowStops[i]
    ped.sendCommand("init", paramsDict={"path":g.paths[i],"stops":windowStops[i]})
    self.owner.addMember(ped)
    for d in dispatchers:
        d.addMember(ped)
    collisionDispatcher.addMember(ped.movement)
    #print "ped ",str(i), " created"

self.owner.setState("running")





